Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierRefreshPatchMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierRefreshPatchMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GlacierRefreshPatchMessage
extends GlacierMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected VersionKey[]` | `keys` DESCRIBE THE FIELD
`protected long[]` | `lifetimes` DESCRIBE THE FIELD
`protected byte[][]` | `signatures` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierRefreshPatchMessage(int uid, VersionKey[] keys, long[] lifetimes, byte[][] signatures, NodeHandle source, Id dest, char tag)` Constructor for GlacierRefreshPatchMessage.

Method Summary
`VersionKey[]` | `getAllKeys()` Gets the AllKeys attribute of the GlacierRefreshPatchMessage object
`VersionKey` | `getKey(int index)` Gets the Key attribute of the GlacierRefreshPatchMessage object
`long` | `getLifetime(int index)` Gets the Lifetime attribute of the GlacierRefreshPatchMessage object
`byte[]` | `getSignature(int index)` Gets the Signature attribute of the GlacierRefreshPatchMessage object
`int` | `numKeys()` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keys

    protected VersionKey[] keys

  DESCRIBE THE FIELD

### lifetimes

    protected long[] lifetimes

  DESCRIBE THE FIELD

### signatures

    protected byte[][] signatures

  DESCRIBE THE FIELD

Constructor Detail

### GlacierRefreshPatchMessage

    public GlacierRefreshPatchMessage(int uid,
                                      VersionKey[] keys,
                                      long[] lifetimes,
                                      byte[][] signatures,
                                      NodeHandle source,
                                      Id dest,
                                      char tag)

  Constructor for GlacierRefreshPatchMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `keys` - DESCRIBE THE PARAMETER
  `lifetimes` - DESCRIBE THE PARAMETER
  `signatures` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getKey

    public VersionKey getKey(int index)

  Gets the Key attribute of the GlacierRefreshPatchMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Key value

### getAllKeys

    public VersionKey[] getAllKeys()

  Gets the AllKeys attribute of the GlacierRefreshPatchMessage object

  Returns:
    The AllKeys value

### getLifetime

    public long getLifetime(int index)

  Gets the Lifetime attribute of the GlacierRefreshPatchMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Lifetime value

### getSignature

    public byte[] getSignature(int index)

  Gets the Signature attribute of the GlacierRefreshPatchMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Signature value

### numKeys

    public int numKeys()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.